/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Frames;
import java.sql.*;
import java.util.logging.Level;
import java.util.logging.Logger;




import javax.swing.table.DefaultTableModel;

/**
 *
 * @author ELGHAZI
 */
public class Frame_Prof extends javax.swing.JFrame {
    public int id;

    /**
     * Creates new form Frame_Prof
     * @param id_p
     */
    public Frame_Prof(int id_p) {
        initComponents();
        setTitle("Etudients Info");
        setSize(740,540);
        setLocationRelativeTo(null);

        
        
        
        setDefaultCloseOperation(Log_In.DISPOSE_ON_CLOSE);
        B_Modifier.setEnabled(false);
        B_add.setEnabled(false);
        B_Suprimer.setEnabled(false);
        SchoolDB DB=new SchoolDB();
        
        try {
//        --------Table  Information De Etudiants --------
            ResultSet result=DB.Etudient_data();
            DefaultTableModel model=(DefaultTableModel ) table_etudiant_cour.getModel();
            model.setRowCount(0);
            while(result.next()){
                model.addRow(new String[]{result.getString(1),result.getString(2),result.getString(3)
                        ,result.getString(4),result.getString(5),result.getString(6)});
            }
            table_etudiant_cour.setEnabled(false);
//        --------Table  Information De Prof --------
             result=DB.prof_data_byId(id_p);
             model=(DefaultTableModel ) tabel_prof.getModel();
            model.setRowCount(0);
            while(result.next()){
                model.addRow(new String[]{result.getString(1),result.getString(2),result.getString(3),result.getString(4),result.getString(5)});
            }
            tabel_prof.setEnabled(false);

        }catch(SQLException e){
            System.out.println("Erreur : "+e.getMessage());
        } 
    }

    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jScrollPane3 = new javax.swing.JScrollPane();
        table_etudiant_cour = new javax.swing.JTable();
        B_Modifier = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        matier_table = new javax.swing.JTable();
        jLabel2 = new javax.swing.JLabel();
        id_input = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        B_recherche = new javax.swing.JButton();
        B_add = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        tabel_prof = new javax.swing.JTable();
        B_Suprimer = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel1.setText("Informatino Generale Des Etudiants");

        table_etudiant_cour.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null}
            },
            new String [] {
                "Id", "Nom", "Prenom", "Age", "Sexe", "Dep_id"
            }
        ));
        jScrollPane3.setViewportView(table_etudiant_cour);

        B_Modifier.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        B_Modifier.setText("Modifier");
        B_Modifier.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_ModifierActionPerformed(evt);
            }
        });

        matier_table.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Matier", "Note"
            }
        ));
        jScrollPane1.setViewportView(matier_table);

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel2.setText("Information Des Matiers");

        id_input.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                id_inputActionPerformed(evt);
            }
        });

        jLabel3.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel3.setText("ID :");

        B_recherche.setText("Recherche");
        B_recherche.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_rechercheActionPerformed(evt);
            }
        });

        B_add.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        B_add.setText("Ajouter");
        B_add.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_addActionPerformed(evt);
            }
        });

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel4.setText("Inforamation De Prof");

        tabel_prof.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {"54", "SDSD", "DFDF", "DSDS", "SDSD"}
            },
            new String [] {
                "id", "Nom", "Prenom", "Age", "Sexe"
            }
        ));
        jScrollPane2.setViewportView(tabel_prof);

        B_Suprimer.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        B_Suprimer.setText("Suprimer");
        B_Suprimer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                B_SuprimerActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(152, 152, 152)
                .addComponent(jLabel4)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel2)
                .addGap(47, 47, 47))
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(66, 66, 66)
                                .addComponent(jLabel1))
                            .addGroup(layout.createSequentialGroup()
                                .addContainerGap()
                                .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 430, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 430, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(B_Modifier, javax.swing.GroupLayout.DEFAULT_SIZE, 256, Short.MAX_VALUE)
                    .addComponent(B_add, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(id_input, javax.swing.GroupLayout.PREFERRED_SIZE, 103, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(B_recherche, javax.swing.GroupLayout.PREFERRED_SIZE, 102, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(B_Suprimer, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jLabel4))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(B_recherche, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabel3)
                                .addComponent(id_input, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 245, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(8, 8, 8)
                        .addComponent(B_Suprimer)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(B_add)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(B_Modifier))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 49, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 287, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(130, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void B_ModifierActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_ModifierActionPerformed
          new modifier_cour(id).setVisible(true);
          
          
    }//GEN-LAST:event_B_ModifierActionPerformed

    private void id_inputActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_id_inputActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_id_inputActionPerformed

    private void B_rechercheActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_rechercheActionPerformed
        SchoolDB DB=new SchoolDB(); 
        int id=Integer.parseInt(id_input.getText())  ;
        ResultSet result=DB.cour_data_ById(id); 
        DefaultTableModel model=(DefaultTableModel ) matier_table.getModel();
            model.setRowCount(0);
        try {
            while(result.next()){
                model.addRow(new String[]{result.getString(1),result.getString(2)});
            }
            matier_table.setEnabled(false);
        } catch (SQLException ex) {
            Logger.getLogger(Frame_Prof.class.getName()).log(Level.SEVERE, null, ex);
        }
            B_Modifier.setEnabled(true);
            B_add.setEnabled(true);
            B_Suprimer.setEnabled(true);
        
    }//GEN-LAST:event_B_rechercheActionPerformed

    private void B_addActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_addActionPerformed
       id=Integer.parseInt(id_input.getText()) ;
       new add_cour(id).setVisible(true);
                  
    }//GEN-LAST:event_B_addActionPerformed

    private void B_SuprimerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_B_SuprimerActionPerformed
          new suprime_cour_prof(id).setVisible(true);
          
          
          
    }//GEN-LAST:event_B_SuprimerActionPerformed

    /**
     * @param args the command line arguments
     */

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton B_Modifier;
    private javax.swing.JButton B_Suprimer;
    private javax.swing.JButton B_add;
    private javax.swing.JButton B_recherche;
    private javax.swing.JTextField id_input;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JTable matier_table;
    private javax.swing.JTable tabel_prof;
    private javax.swing.JTable table_etudiant_cour;
    // End of variables declaration//GEN-END:variables
}
